This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 861783 - Review Request: thrift - Multi-language RPC and serialization framework
Review Request: thrift - Multi-language RPC and serialization framework
Status: CLOSED DUPLICATE of bug 982285
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 14:03 EDT by gil cattaneo
Modified: 2013-07-11 11:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 10:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-09-30 14:03:39 EDT
Spec URL: http://gil.fedorapeople.org/thrift.spec
SRPM URL: http://gil.fedorapeople.org/thrift-0.7.0-1.fc16.src.rpm
Description: Thrift is a software framework for scalable cross-language services
development. It combines a powerful software stack with a code generation
engine to build services that work efficiently and seamlessly between C++,
Java, C#, Python, Ruby, Perl, PHP, Objective C/Cocoa, Smalltalk, Erlang,
Objective Caml, and Haskell.

Fedora Account System Username: gil
Comment 1 gil cattaneo 2012-09-30 14:10:30 EDT
tested on:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4544106
Comment 2 Peter Lemenkov 2012-10-01 05:58:14 EDT
Why so many binding libraries are disabled? 

Building code generators ..... : cpp c_glib java as3 csharp py rb perl php erl cocoa st ocaml hs xsd html js javame go
Building C++ Library ......... : yes
Building C (GLib) Library .... : no
Building Java Library ........ : yes
Building C# Library .......... : no
Building Python Library ...... : no
Building Ruby Library ........ : no
Building Haskell Library ..... : no
Building Perl Library ........ : no
Building PHP Library ......... : no
Building Erlang Library ...... : no
Building Go Library .......... : no
Comment 3 gil cattaneo 2012-10-01 07:49:38 EDT
Hi Peter,
for now I am not interested to enable them.
(for go library is'nt available go from http://golang.org/,and gomake from http://code.google.com/p/gomake/)
python and perl bindings are builded in a separate tasks
c glib bindings require glib2
thanks
regards
Comment 4 gil cattaneo 2012-10-01 10:51:43 EDT
added C (GLib) Library support
Comment 5 Robin Lee 2013-01-12 11:53:37 EST
Latest release is 0.9.0
Comment 6 gil cattaneo 2013-01-12 15:26:46 EST
hi @ all,
for what I need the version 0.9.x (also 0.8.x) provides incompatible apis.
regards
Comment 8 Peter Lemenkov 2013-07-11 10:31:10 EDT

*** This bug has been marked as a duplicate of bug 982285 ***

Note You need to log in before you can comment on or make changes to this bug.